Create a New Export Job
curl --request POST \
--url https://external.pleo.io/v1/export-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"accountingEntryIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInteractive": true,
"options": {
"vendorBasedBookkeeping": false
},
"targetSystem": "<string>"
}
'import requests
url = "https://external.pleo.io/v1/export-jobs"
payload = {
"accountingEntryIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInteractive": True,
"options": { "vendorBasedBookkeeping": False },
"targetSystem": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
accountingEntryIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
employeeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isInteractive: true,
options: {vendorBasedBookkeeping: false},
targetSystem: '<string>'
})
};
fetch('https://external.pleo.io/v1/export-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.pleo.io/v1/export-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountingEntryIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'companyId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'employeeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isInteractive' => true,
'options' => [
'vendorBasedBookkeeping' => false
],
'targetSystem' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json;charset=UTF-8"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://external.pleo.io/v1/export-jobs"
payload := strings.NewReader("{\n \"accountingEntryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"employeeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isInteractive\": true,\n \"options\": {\n \"vendorBasedBookkeeping\": false\n },\n \"targetSystem\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json;charset=UTF-8")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://external.pleo.io/v1/export-jobs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json;charset=UTF-8")
.body("{\n \"accountingEntryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"employeeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isInteractive\": true,\n \"options\": {\n \"vendorBasedBookkeeping\": false\n },\n \"targetSystem\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.pleo.io/v1/export-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json;charset=UTF-8'
request.body = "{\n \"accountingEntryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"employeeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isInteractive\": true,\n \"options\": {\n \"vendorBasedBookkeeping\": false\n },\n \"targetSystem\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"expiresIn": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInteractive": true,
"numberOfItems": 123,
"status": "pending",
"vendorBasedBookkeeping": true,
"completedAt": "2023-11-07T05:31:56Z",
"createdBy": null,
"expiredAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>",
"failureReasonType": "invalid_configuration",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z"
}
}Export API (v1)
Create a New Export Job
deprecated
POST
/
v1
/
export-jobs
Create a New Export Job
curl --request POST \
--url https://external.pleo.io/v1/export-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"accountingEntryIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInteractive": true,
"options": {
"vendorBasedBookkeeping": false
},
"targetSystem": "<string>"
}
'import requests
url = "https://external.pleo.io/v1/export-jobs"
payload = {
"accountingEntryIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInteractive": True,
"options": { "vendorBasedBookkeeping": False },
"targetSystem": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
accountingEntryIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
employeeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isInteractive: true,
options: {vendorBasedBookkeeping: false},
targetSystem: '<string>'
})
};
fetch('https://external.pleo.io/v1/export-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.pleo.io/v1/export-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountingEntryIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'companyId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'employeeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isInteractive' => true,
'options' => [
'vendorBasedBookkeeping' => false
],
'targetSystem' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json;charset=UTF-8"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://external.pleo.io/v1/export-jobs"
payload := strings.NewReader("{\n \"accountingEntryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"employeeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isInteractive\": true,\n \"options\": {\n \"vendorBasedBookkeeping\": false\n },\n \"targetSystem\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json;charset=UTF-8")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://external.pleo.io/v1/export-jobs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json;charset=UTF-8")
.body("{\n \"accountingEntryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"employeeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isInteractive\": true,\n \"options\": {\n \"vendorBasedBookkeeping\": false\n },\n \"targetSystem\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.pleo.io/v1/export-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json;charset=UTF-8'
request.body = "{\n \"accountingEntryIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"companyId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"employeeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isInteractive\": true,\n \"options\": {\n \"vendorBasedBookkeeping\": false\n },\n \"targetSystem\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"expiresIn": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isInteractive": true,
"numberOfItems": 123,
"status": "pending",
"vendorBasedBookkeeping": true,
"completedAt": "2023-11-07T05:31:56Z",
"createdBy": null,
"expiredAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>",
"failureReasonType": "invalid_configuration",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
bearerAuthbasicAuth
Body
application/json;charset=UTF-8
Non-interactive jobs are jobs that are not initiated by a user. These jobs are usually triggered in the background and require no user interaction. Interactive jobs are the opposite. Set this flag to true if the export job is to be initiated by a user. By default, this is set to true.
The target system for this export job, for example, an ERP system or another integrated system. Must match an active Pleo App marketplace installation or currently connected integration for the company; the value is case-insensitive. If omitted, the target system is inferred automatically.
Was this page helpful?